Subject: bug#34952: files with/out final newline look the same no matter what

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 08 Aug 2020 11:41:30 +0200

Stefan Monnier <[email-masked]> writes:

> font-lock is "per buffer" whereas point is "per window", so I'm not sure
> what "*the* original point" should mean.

I guess it's not a well-defined question...  but some action triggered
the fontification, and I guess what's interesting question here is "what
was point in the window that triggered the fontification"?

> You can try `jit-lock-debug-mode` (which delays the jit-lock from
> "within redisplay" to "the next idle time").  Otherwise, you can set
> `font-lock-support-mode` to nil, then turn font-lock-mode off and back
> on (after which font-lock is triggered via `after-change-functions`).

I see; thanks.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no